import {d3, select, arc, enter, selectAll,  exit, remove} from 'd3';

const svg =  select('svg');

const height = parseFloat(svg.attr('height'));
const width = +svg.attr('width');
const eyeSpacing = 100;
const eyeYOffset = - 70;
const eyeRadius = 30;
const eyebrowHight = 15;
const eyebrowWidth = 70;
const eyebrownYOffset = - 40;



const g = svg.append('g')
.attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g.append('circle')
  .attr("r", height/2)
	.attr("fill", 'yellow')
	.attr('stroke', 'black');

const eyeG = g.append('g')
.attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyeG.append('circle')
  .attr("r", eyeRadius)
  .attr("cx", - eyeSpacing);

const rightEye = eyeG.append('circle')
  .attr("r", eyeRadius)
  .attr("cx", eyeSpacing);

const EyeBrownG = eyeG.append('g')
.attr('transform', `translate(0, 0)`);
EyeBrownG
    .transition().duration(4000)
    .attr('transform', `translate(0, ${eyebrownYOffset -50})`)
    .transition().duration(4000)
    .attr('transform', `translate(0, 0)`);

const leftEyebrow = EyeBrownG.append('rect')
    .attr("x", -eyeSpacing - eyebrowWidth/2)
    .attr("y", eyeYOffset)
    .attr('height', eyebrowHight)
    .attr('width', eyebrowWidth)
    ;

const rightEyebrow = EyeBrownG.append('rect')
    .attr("x", eyeSpacing - eyebrowWidth/2)
    .attr("y", eyeYOffset)
    .attr('height', eyebrowHight)
    .attr('width', eyebrowWidth)
    ;


const  mouthFunction = (sAngle, eAngle) => {
 // var month =
			g.selectAll('path').exit().remove();
 			g.append('path')

      .attr('d', arc() ({
            innerRadius: 150,
            outerRadius: 170,
            startAngle: sAngle,
            endAngle: eAngle
      }))
      ;
  
    
  
      };

mouthFunction(Math.PI/2, Math.PI* 1.5);

setTimeout(() => mouthFunction(-Math.PI*1/3, Math.PI *1/3), 3000);
//setTimeout(() => mouthFunction(Math.PI/2, Math.PI* 1.5), 5000);

//      startAngle: Math.PI/2,
//      endAngle: Math.PI* 1.5 //Math.PI







